var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconNodeTimeConsumptionComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-node_time_consumption").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 18 18", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("g", { clipPath: "url(#svg_e8cd12dad1__clip0_4472_13569)" },
            React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M9 0.75C13.5563 0.75 17.25 4.44365 17.25 9C17.25 13.5563 13.5563 17.25 9 17.25C4.44365 17.25 0.75 13.5563 0.75 9C0.75 4.44365 4.44365 0.75 9 0.75ZM9 2.25C5.27208 2.25 2.25 5.27208 2.25 9C2.25 12.7279 5.27208 15.75 9 15.75C12.7279 15.75 15.75 12.7279 15.75 9C15.75 5.27208 12.7279 2.25 9 2.25ZM9.375 5.25C9.58211 5.25 9.75 5.41789 9.75 5.625V8.25H12.375C12.5821 8.25 12.75 8.41789 12.75 8.625V9.375C12.75 9.58211 12.5821 9.75 12.375 9.75H8.625C8.41789 9.75 8.25 9.58211 8.25 9.375V5.625C8.25 5.41789 8.41789 5.25 8.625 5.25H9.375Z" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_e8cd12dad1__clip0_4472_13569" },
                React.createElement("path", { d: "M0 0H18V18H0z" }))));
}
var IconNodeTimeConsumption = React.forwardRef(IconNodeTimeConsumptionComponent);
export default IconNodeTimeConsumption;
